import { IRouteConfig } from '@zeedhi/zeedhi-miragejs';
import { IDictionary } from '@zeedhi/core';
import getMinhasTarefas from './rotas/tarefas/getMinhasTarefas';
import getItensTarefas from './rotas/tarefas/getitensTarefas';
import qtdTarefasAtivas from './rotas/tarefas/qtdTarefasAtivas';
import getFotosTarefas from './rotas/tarefas/getFotosTarefas';
import getTarefasListadas from './rotas/tarefas/getTarefasListadas';
import anexarFotosOffline from './rotas/tarefas/anexarFotosOffline';
import excluirFotoOffline from './rotas/tarefas/excluirFotoOffline';
import itensTarefasAlteradosOffline from './rotas/tarefas/itensTarefasAlteradosOffline';
import findClientesTarefas from './rotas/tarefas/findClientesTarefas';
import findContratosTarefas from './rotas/tarefas/findContratosTarefas';
import getTarefasPorOperador from './rotas/tarefas/getTarefasPorOperador';
import findLocal from './rotas/tarefas/findLocal';
import salvarObservacaoOffline from './rotas/tarefas/salvarObservacaoOffline';

const serverConfig: IDictionary<IRouteConfig<any>> = {
    getItensTarefas,
    getMinhasTarefas,
    qtdTarefasAtivas,
    getFotosTarefas,
    getTarefasListadas,
    anexarFotosOffline,
    excluirFotoOffline,
    itensTarefasAlteradosOffline,
    findClientesTarefas,
    findContratosTarefas,
    getTarefasPorOperador,
    findLocal,
    salvarObservacaoOffline,
};

export default serverConfig;
